## com.sun.jersey.client.urlconnection
Interface HttpURLConnectionFactory

    public interface HttpURLConnectionFactory

A factory for `HttpURLConnection` instances.

A factory may be used to create a `HttpURLConnection` and configure it in a custom manner that is not possible using the Client API.

A factory instance may be registered with the constructor `URLConnectionClientHandler.URLConnectionClientHandler(com.sun.jersey.client.urlconnection.HttpURLConnectionFactory)`. Then the `URLConnectionClientHandler` instance may be registered with a `Client` using the constructor `Client.Client(com.sun.jersey.api.client.ClientHandler)`.

Author:
  pavel.bucek@sun.com

Method Summary
`java.net.HttpURLConnection` | `getHttpURLConnection(java.net.URL url)` Get a `HttpURLConnection` for a given URL.

Method Detail

### getHttpURLConnection

    java.net.HttpURLConnection getHttpURLConnection(java.net.URL url)
                                                    throws java.io.IOException

  Get a `HttpURLConnection` for a given URL.

  This method is re-entrant so implementation should not return the same `HttpURLConnection` instance for multiple and concurrent requests.

  Parameters:
    `url` - the URL.
  Returns:
    the `HttpURLConnection`.
  Throws:
    `java.io.IOException`

Copyright © 2017 Oracle Corporation. All Rights Reserved.